Loading...
Searching...
No Matches
RDKit::GaussianShape::ShapeInputOptions Struct Reference

`#include <ShapeInput.h>`

## Public Member Functions

| ShapeInputOptions ()=default
| ShapeInputOptions (const ShapeInputOptions &)=default
| ShapeInputOptions (ShapeInputOptions &&)=default
ShapeInputOptions & | operator= (const ShapeInputOptions &)=default
ShapeInputOptions & | operator= (ShapeInputOptions &&)=default
| ~ShapeInputOptions ()=default

## Public Attributes

bool | useColors
CustomFeatures | customFeatures
std::vector< unsigned int > | atomSubset
std::vector< std::pair< unsigned int, double > > | atomRadii
bool | allCarbonRadii

## Detailed Description

Definition at line 76 of file ShapeInput.h.

## Constructor & Destructor Documentation

## ShapeInputOptions() [1/3]

RDKit::GaussianShape::ShapeInputOptions::ShapeInputOptions | ( |  | ) |

default

Referenced by operator=(), operator=(), ShapeInputOptions(), and ShapeInputOptions().

## ShapeInputOptions() [2/3]

RDKit::GaussianShape::ShapeInputOptions::ShapeInputOptions | ( | const ShapeInputOptions & |  | ) |

default

References ShapeInputOptions().

## ShapeInputOptions() [3/3]

RDKit::GaussianShape::ShapeInputOptions::ShapeInputOptions | ( | ShapeInputOptions && |  | ) |

default

References ShapeInputOptions().

## ~ShapeInputOptions()

RDKit::GaussianShape::ShapeInputOptions::~ShapeInputOptions | ( |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

ShapeInputOptions & RDKit::GaussianShape::ShapeInputOptions::operator= | ( | const ShapeInputOptions & |  | ) |

default

References ShapeInputOptions().

## operator=() [2/2]

ShapeInputOptions & RDKit::GaussianShape::ShapeInputOptions::operator= | ( | ShapeInputOptions && |  | ) |

default

References ShapeInputOptions().

## Member Data Documentation

## allCarbonRadii

bool RDKit::GaussianShape::ShapeInputOptions::allCarbonRadii

Initial value:
{
true}

Use these non-standard radii for these atoms. The int is for the atom index in the molecule, not the atomic number. Not all atoms need be specified, just some radii can be over-ridden, with the rest left as standard.

Definition at line 102 of file ShapeInput.h.

## atomRadii

std::vector<std::pair<unsigned int, double> > RDKit::GaussianShape::ShapeInputOptions::atomRadii

If not empty, use just these atoms in the molecule to form the ShapeInput object.

Definition at line 98 of file ShapeInput.h.

## atomSubset

std::vector<unsigned int> RDKit::GaussianShape::ShapeInputOptions::atomSubset

Custom color features used verbatim. A vector of tuples of integer type, Point3D coords, double radius.

Definition at line 95 of file ShapeInput.h.

## customFeatures

CustomFeatures RDKit::GaussianShape::ShapeInputOptions::customFeatures

Whether to build the color features. By default, it will create features using the RDKit pharmacophore definitions.

Definition at line 91 of file ShapeInput.h.

## useColors

bool RDKit::GaussianShape::ShapeInputOptions::useColors

Initial value:
{
true}

Definition at line 87 of file ShapeInput.h.

The documentation for this struct was generated from the following file:

- ShapeInput.h